<div class="dataTable linksListTable subNormal backColor">
    <div class="dataRow header assetLinkRow">
        <div class="rowBox">
            <ul class="rowCont rowHeading"
                ng-init="linkAssetsVariables.assetTypeSelected === linkAssetsVariables.rootAssetType">
                <li ng-repeat="assetTabDetails in linkAssetsVariables.assetsDetails"
                ng-bind="assetTabDetails.label"></li>
            </ul>
        </div>
    </div>



    <div class="dataRow" ng-repeat="linkedAssets in linkAssetsVariables.linkedAssetsLists">
        <div class="rowBox">
            <div class="basicCont">
                <ul class="rowCont rowDetails">
                </ul>

                <ul class="rowCont rowDetails">
                    <div class="inBlock assetLinkBlocks"
                         ng-repeat="assetTabDetails in linkAssetsVariables.assetsDetails"
                         ng-click="linkAssetsVariables.assetTypeSelected=assetTabDetails.type;linkAssetsVariables.rootAssetId=linkedAssets._id">
                        <li ng-class="assetTabDetails.type"
                            ng-click="selectAssetsTab(assetTabDetails.type,assetTabDetails.label,linkedAssets)">
                            <p ng-bind="linkedAssets.sensorData.assetName" ng-if="$index==0" style="height: 20px;"></p>
                            <p ng-if="$index!=0"
                               ng-bind="linkedAssets.sensorData.linkedAssetsDetails[assetTabDetails.type][0].sensorData.assetName"
                               style="height: 20px;"></p>
                            <div ng-class="assetTabDetails.type+'Icon'" class="icon hasData" ng-if="$index!=0">
                                <img ng-src="images/{{assetTabDetails.type}}-Connected.png" alt=""
                                     ng-show="linkedAssets.sensorData.linkedAssetsDetails[assetTabDetails.type]">
                                <img ng-src="images/{{assetTabDetails.type}}-NotConnected.png" alt=""
                                     ng-show="!linkedAssets.sensorData.linkedAssetsDetails[assetTabDetails.type]">

                            </div>
                            <div ng-class="assetTabDetails.type+'Icon'" class="icon hasData" ng-if="$index == 0">
                                <img ng-src="images/{{assetTabDetails.type}}-Connected.png" alt="">
                            </div>
                            <div ng-class="{activeMarker:linkAssetsVariables.assetTypeSelected===assetTabDetails.type
                            && linkAssetsVariables.rootAssetId===linkedAssets._id}"></div>
                        </li>
                        <li class="connection"
                            ng-if="assetTabDetails.index!=linkAssetsVariables.assetsDetails.length-1">
                            <div class="connectionIcon icon">
                                <img ng-src="images/connectedIcon.png" alt=""
                                     ng-show="linkedAssets.sensorData.linkedAssetsDetails[linkAssetsVariables.assetsDetails[$index+1].type]"
                                     >

                                <img ng-src="images/notconnectedIcon.png" alt=""
                                     ng-show="!linkedAssets.sensorData.linkedAssetsDetails[linkAssetsVariables.assetsDetails[$index+1].type]">
                                <!--ng-click="deLinkAsset(linkedAssets.sensorData.linkedAssetsDetails[linkAssetsVariables.assetsDetails[$index+1].type][0]._id,linkedAssets._id)"<div class="num" ng-show="assetTabDetails.type==='driver' ">1</div>
                                    <div class="num" ng-show="assetTabDetails.type==='driver'">0</div>-->
                            </div>
                        </li>
                    </div>
                </ul>
            </div>
            <div class="basicDetails">
                <div class="marginBtmSml">
                    <form name="sensorForm" class="css-form" novalidate>
                        <div class="detailContent">
                            <div class="marginBtmSml">
                                <ul class="drivers">
                                    <div class="driverDetails marginBtmSml dataRow"
                                         ng-if="assetType!=linkAssetsVariables.rootAssetType"
                                         ng-repeat="sensordetailsObj in sensordetails">
                                       <!-- <div ng-if="assetType==='driver'" class="driverImg midBlock">
                                            <img src="images/driver1.jpg" alt="">
                                        </div>-->
                                        <li ng-repeat="formEle in form"> <!--ng-show="assetType!='driver'"-->

                                            <div ng-show="sensordetailsObj.sensorData[formEle.model]">
                                                <div class="planeLabel">
                                                    <span class="tag" ng-bind="formEle.name"></span>
                                                    <span class="tagTxt"
                                                          ng-bind="sensordetailsObj.sensorData[formEle.model]"></span>
                                                </div>
                                            </div>
                                        </li>
                                    </div>
                                    <div class="driverDetails"
                                         ng-if="assetType===linkAssetsVariables.rootAssetType">
                                       <!-- <div ng-if="assetType==='driver'" class="driverImg midBlock">
                                            <img src="images/driver1.jpg" alt="">
                                        </div>-->
                                        <li ng-repeat="formEle in form"> <!--ng-show="assetType!='driver'"-->

                                            <div ng-show="sensordetails.sensorData[formEle.model]">
                                                <div class="planeLabel">
                                                    <span class="tag" ng-bind="formEle.name"></span>
                                                    <span class="tagTxt"
                                                          ng-bind="sensordetails.sensorData[formEle.model]"></span>
                                                </div>
                                            </div>
                                        </li>
                                    </div>
                                    <div class="driverDetails">
                                        <li>
                                            <a class="btn full small marginTop addDriverBtn "
                                               ng-hide="assetType === linkAssetsVariables.rootAssetType">
                                                LINK {{linkAssetsVariables.mainTab.assetLabel}}
                                            </a>
                                        </li>
                                    </div>
                                </ul>
                            </div>

                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<!--*************** Add Assets popup ***************-->
<div class="popup addComponent addSensor">
    <div class="x close">X</div>
    <div class="assetDetails">

        <div class="addCarSec" ng-init="addCarType='newCar'">
            <div class="midTitle helvMedium borderBtm paddingBtm marginBtmSml ">Add New
                                                                                {{linkAssetsVariables.mainTab.assetLabel}}
            </div>
            <ul class="sectionTabs simple subNormal marginBtm">
                <li ng-class="{active: addCarType=='newCar'}"
                    ng-click="addCarType='newCar'">New {{linkAssetsVariables.mainTab.assetLabel}}
                </li>
                <li ng-class="{active: addCarType=='existingCar'}"
                    ng-click="addCarType='existingCar'">Existing {{linkAssetsVariables.mainTab.assetLabel}}
                </li>
            </ul>
            <div class="newCar" ng-show="addCarType=='newCar'">
                <form name="newLinkAssetForm" class="css-form" novalidate>
                    <div class="marginBtmSml">
                        <ul class="form flow dynamic">
                            <li ng-repeat="formEle in linkAssetsVariables.assetsFormDetails">
                                <div ng-if="formEle.assetName">
                                    <div ng-init="$parent.assetDataToBeLinked.assetName = formEle.model"></div>
                                </div>
                                <div ng-show="formEle.type!='dropDown'">
                                    <div class="tag capitalize">{{formEle.name}} <span class="error mainNormal"
                                                                                       ng-if="formEle.required">*</span>
                                    </div>
                                    <input ng-if="formEle.type!='date'" name="{{formEle.model}}" type="{{formEle.type}}"
                                           ng-model="$parent.assetDataToBeLinked[formEle.model]"
                                           placeholder="{{formEle.description}}"
                                           ng-required="formEle.required">
                                    <input ng-if="formEle.type ==='date'" name="{{formEle.model}}" type="text"
                                           ng-model="$parent.assetDataToBeLinked[formEle.model]"
                                           placeholder="{{formEle.description}}"
                                           ng-required="formEle.required"
                                           date="$parent.assetDataToBeLinked[formEle.model]" date-picker>
                                    <div class="error small marginTopShort"
                                         ng-show="!newLinkAssetForm[formEle.model].$pristine && newLinkAssetForm[formEle.model].$invalid">
                                        Please Enter {{formEle.name}} Of Type "{{formEle.type | uppercase}}"
                                    </div>
                                    <!-- <div class="error small marginTopShort" ng-if="formEle.name==='Sensor Name' && !sensorControllerObjects.addingSensor.isSensorNameUnique">
                                         Sensor Name {{$parent.sensor.sensorName}} Already Exist
                                     </div>-->
                                </div>
                                <div ng-show="formEle.type==='dropDown'">
                                    <div class="tag capitalize"
                                         ng-init="$parent.assetDataToBeLinked[formEle.model]=formEle.dropDownDetails.defaultValue">
                                        {{formEle.name}}
                                        <span class="error mainNormal" ng-if="formEle.required">*</span></div>
                                    <div class="dropDown midBlock personCat">
                                        <div class="head" data-init="0">
                                            <div class="headTitle">{{formEle.dropDownDetails.defaultValue}}</div>
                                        </div>
                                        <ul class="list">
                                            <li ng-repeat="dropDownValue in formEle.dropDownDetails.dropDownValues"
                                                ng-click="$parent.linkAssetsVariables.assets[formEle.model]=dropDownValue">
                                                {{dropDownValue}}
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </form>

            </div>
            <div class="existingCar" ng-show="addCarType=='existingCar'">
                <ul class="form paddingBtmSml">
                    <li>
                        <div class="tag">{{linkAssetsVariables.mainTab.assetLabel}} name</div>
                        <input type="text" placeholder="{{linkAssetsVariables.mainTab.assetLabel}} name">
                    </li>
                </ul>
            </div>
        </div>
        <div class="btnMain roboRegular small floatLeft">
            <button class="btn red" data-hint=1
                    ng-disabled="newLinkAssetForm.$invalid"
                    ng-click="saveAssetDetailsAndLink(assetTypeLink,linkAssetsVariables.mainTab.assetLabel)">
                <!--linkAssetDetails(assetTypeLink,linkAssetsVariables.mainTab.assetLabel)-->
                Save
            </button>
            </span>
        </div>
        <div class="btnMain roboRegular subNormal floatRight">
            <button class="btn cancel marginLeft close">CANCEL</button>


        </div>
        <span class="clear"></span>
    </div>
    <circular-loader ng-show="addSensorLoader"></circular-loader>
</div>

<!--....... De Link Asset popup  .....-->
<div class="popup confirmMsg deleteLink">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="msg smallTitle roboLight marginBtmSec">
            Are you sure <br>
            you want to de-Link this Asset ?
        </div>
        <div class="btnsMain">
            <div class="btn red midBlock marginRgt close" style="background: #d14353" ng-click="deleteLink()">De-Link
            </div>
            <div class="btn midBlock close">Cancel</div>
        </div>
    </div>
</div>




<!--.... pagination ...-->
<ul class="pagination marginTop" ng-if="linkAssetsVariables.paginationDetails.noOfPagesToBeDisplaced.length>0">
    <li ng-if="linkAssetsVariables.paginationDetails.selectedPage!=1" class="prev"
        ng-click="decrementPageNo(sensorTypes.typeId)"></li>

    <li ng-class="{active: $index+1 == linkAssetsVariables.paginationDetails.selectedPage}"
        ng-repeat="assetPageDetails in linkAssetsVariables.paginationDetails.noOfPagesToBeDisplaced track by $index"
        ng-click="getAssetsLinkedByPageNo($index+1)">{{$index+1}}</li>
    <li class="active"
        ng-if="linkAssetsVariables.paginationDetails.selectedPage>sensorControllerObjects.paginationDetails.maxDocsPerPage"
        ng-bind="linkAssetsVariables.paginationDetails.assetPageSelected"></li>
    <li ng-if="linkAssetsVariables.paginationDetails.selectedPage>linkAssetsVariables.paginationDetails.maxNoOfPages"
        class="active" ng-bind="linkAssetsVariables.paginationDetails.selectedPage"></li>
    <li ng-if="linkAssetsVariables.paginationDetails.selectedPage!=linkAssetsVariables.paginationDetails.totalNoOfPages"
        class="next" ng-click="incrementPageNo()"></li>
</ul>